Bug 143655 - Please add osst support to hotplug
Please add osst support to hotplug
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hotplug (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-23 08:29 EST by Willem Riede
Modified: 2014-03-16 22:51 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2004_09_23-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-07 17:39:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
this patch will implement osst support for hotplug (701 bytes, patch)
2004-12-23 08:32 EST, Willem Riede
no flags Details | Diff

  None (edit)
Description Willem Riede 2004-12-23 08:29:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
Currently, the hotplug package supports st devices, but not osst devices (OnStream tape drives). It says "FIXME some tapes use 'osst' not 'st'"

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.load osst module
2.
3.
  

Actual Results:  no {n}osstX device nodes are created

Expected Results:  crw-rw----  1 root disk 206,   0 Dec 23 08:28 /dev/osst0
crw-rw----  1 root disk 206, 128 Dec 23 08:28 /dev/nosst0

Additional info:

This is one of a set of changes needed for sysfs/hotplug/udev support of osst. Another is bug 143568 on udev for the permissions to be assigned. The third is that the osst driver needs sysfs support - watch linux-kernel for that to be submitted next.
Comment 1 Willem Riede 2004-12-23 08:32:58 EST
Created attachment 109074 [details]
this patch will implement osst support for hotplug
Comment 2 Bill Nottingham 2004-12-23 16:35:27 EST
Does this actually *require* the sysfs changes in the driver to work?
Comment 3 Willem Riede 2004-12-23 19:05:34 EST
It is safe to make the proposed change, but it won't work (= actually create the
/dev nodes) until the osst driver is updated. I've got this working, and I'll be
submitting the osst patch to the linux-kernel and linux-scsi mailing lists soon.
Comment 4 Willem Riede 2005-01-03 08:53:06 EST
Required osst kernel patches are now in Andrew Morton's 2.6.10-mm1.
Comment 5 Bill Nottingham 2005-02-07 17:37:32 EST
Please send upstream to linux-hotplug-devel@lists.sourceforge.net as well.
Comment 6 Bill Nottingham 2005-02-07 17:39:29 EST
Added in 2004_09_23-1. 

Note You need to log in before you can comment on or make changes to this bug.